Enneo

Telephony

Connect agent to call

POST /telephony/agentConnected

POST /telephony/agentConnected

Called whenever the telephony system has connected a agent (user) with a call that was previously sent to enneo via the /telephony/callReceived endpoint. Upon receiept, the specified agent's browser window is then redirected to the previously created ticket id (specified via ticket id or channel id)

Request body

ticketIdintegerbody

Optional ticket id of the enneo call ticket. Either ticketId or channelId must be provided

channelIdstringbody

Optional unique identifier of a third party system of this call. Must have been previously created with the /telephony/callReceived endpoint. Either ticketId or channelId must be provided

userIdintegerbodyrequired

Id of agent that accepted the call. If that agent has a browser window of enneo open, he will be prompted with this call

Request Example

{
  "ticketId": 123,
  "channelId": "call_123abc456",
  "userId": 42
}

Responses

200 — Successful operation

Response Example

{
  "success": true
}

400 — Invalid input

404 — Ticket not found

500 — Internal error